symbol-bootstrap
================

Symbol tool that allows you creating, configuring and running Symbol&#39;s networks

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/symbol-bootstrap.svg)](https://npmjs.org/package/symbol-bootstrap)
[![Downloads/week](https://img.shields.io/npm/dw/symbol-bootstrap.svg)](https://npmjs.org/package/symbol-bootstrap)
[![License](https://img.shields.io/npm/l/symbol-bootstrap.svg)](https://github.com/fboucquez/symbol-bootstrap/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g symbol-bootstrap
$ symbol-bootstrap COMMAND
running command...
$ symbol-bootstrap (-v|--version|version)
symbol-bootstrap/0.0.0-alpha-202008131017-alpha-202008131027-alpha-202008131029-alpha-202008131035 linux-x64 node-v12.16.3
$ symbol-bootstrap --help [COMMAND]
USAGE
  $ symbol-bootstrap COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`symbol-bootstrap clean`](#symbol-bootstrap-clean)
* [`symbol-bootstrap compose`](#symbol-bootstrap-compose)
* [`symbol-bootstrap config`](#symbol-bootstrap-config)
* [`symbol-bootstrap help [COMMAND]`](#symbol-bootstrap-help-command)
* [`symbol-bootstrap mongo`](#symbol-bootstrap-mongo)
* [`symbol-bootstrap run`](#symbol-bootstrap-run)
* [`symbol-bootstrap start`](#symbol-bootstrap-start)

## `symbol-bootstrap clean`

this commands remove the target folder (It may not work if you need root!!!)

```
USAGE
  $ symbol-bootstrap clean

OPTIONS
  -h, --help           It shows the help of this command.
  -t, --target=target  [default: target] the target folder

EXAMPLE
  $ symbol-bootstrap clean
```

_See code: [src/commands/clean.ts](https://github.com/fboucquez/symbol-bootstrap/blob/v0.0.0-alpha-202008131017-alpha-202008131027-alpha-202008131029-alpha-202008131035/src/commands/clean.ts)_

## `symbol-bootstrap compose`

this command generates the docker-compose.yml file from the configured network.

```
USAGE
  $ symbol-bootstrap compose

OPTIONS
  -h, --help           It shows the help of this command.
  -t, --target=target  [default: target] the target folder

EXAMPLE
  $ symbol-bootstrap compose
```

_See code: [src/commands/compose.ts](https://github.com/fboucquez/symbol-bootstrap/blob/v0.0.0-alpha-202008131017-alpha-202008131027-alpha-202008131029-alpha-202008131035/src/commands/compose.ts)_

## `symbol-bootstrap config`

Command used to set up the configuration files and the nemesis block for the current network

```
USAGE
  $ symbol-bootstrap config

OPTIONS
  -h, --help                      It shows the help of this command.
  -p, --preset=bootstrap|testnet  [default: bootstrap] the network preset
  -r, --reset                     It resets the configuration generating a new one
  -t, --target=target             [default: target] the target folder

  --presetFile=presetFile         External preset file. Values in this file will override the provided presets
                                  (optional)

EXAMPLE
  $ symbol-bootstrap config -p bootstrap
```

_See code: [src/commands/config.ts](https://github.com/fboucquez/symbol-bootstrap/blob/v0.0.0-alpha-202008131017-alpha-202008131027-alpha-202008131029-alpha-202008131035/src/commands/config.ts)_

## `symbol-bootstrap help [COMMAND]`

display help for symbol-bootstrap

```
USAGE
  $ symbol-bootstrap help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v3.1.0/src/commands/help.ts)_

## `symbol-bootstrap mongo`

command to start mongo db (NOT WORKING!)

```
USAGE
  $ symbol-bootstrap mongo

OPTIONS
  -h, --help               It shows the help of this command.
  -r, --reset              It deletes the database
  -t, --target=target      [default: target] the target folder
  --presetFile=presetFile  External preset file. Values in this file will override the provided presets (optional)

EXAMPLE
  $ symbol-bootstrap mongo -p bootstrap
```

_See code: [src/commands/mongo.ts](https://github.com/fboucquez/symbol-bootstrap/blob/v0.0.0-alpha-202008131017-alpha-202008131027-alpha-202008131029-alpha-202008131035/src/commands/mongo.ts)_

## `symbol-bootstrap run`

this command run this network from the created configuration and docker-compose.yml file.

```
USAGE
  $ symbol-bootstrap run

OPTIONS
  -h, --help           It shows the help of this command.
  -t, --target=target  [default: target] the target folder

EXAMPLE
  $ symbol-bootstrap run
```

_See code: [src/commands/run.ts](https://github.com/fboucquez/symbol-bootstrap/blob/v0.0.0-alpha-202008131017-alpha-202008131027-alpha-202008131029-alpha-202008131035/src/commands/run.ts)_

## `symbol-bootstrap start`

Single command that aggregates config, compose and run!

```
USAGE
  $ symbol-bootstrap start

OPTIONS
  -h, --help                      It shows the help of this command.
  -p, --preset=bootstrap|testnet  [default: bootstrap] the network preset
  -r, --reset                     It resets the configuration generating a new one
  -t, --target=target             [default: target] the target folder

  --presetFile=presetFile         External preset file. Values in this file will override the provided presets
                                  (optional)

EXAMPLE
  $ symbol-bootstrap start -p bootstrap
```

_See code: [src/commands/start.ts](https://github.com/fboucquez/symbol-bootstrap/blob/v0.0.0-alpha-202008131017-alpha-202008131027-alpha-202008131029-alpha-202008131035/src/commands/start.ts)_
<!-- commandsstop -->
