"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const ConfigService_1 = require("../service/ConfigService");
class Config extends command_1.Command {
    run() {
        const { flags } = this.parse(Config);
        return new ConfigService_1.ConfigService(Object.assign(Object.assign({}, flags), { root: this.config.root })).run();
    }
}
exports.default = Config;
Config.description = 'Command used to set up the configuration files and the nemesis block for the current network';
Config.examples = [`$ symbol-bootstrap config -p bootstrap`];
Config.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    preset: command_1.flags.string({
        char: 'p',
        description: 'the network preset',
        options: ['bootstrap', 'testnet' /*, 'devnet', 'mainnet', 'testnet'*/],
        default: ConfigService_1.ConfigService.defaultParams.preset,
    }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: ConfigService_1.ConfigService.defaultParams.target,
    }),
    presetFile: command_1.flags.string({
        description: 'External preset file. Values in this file will override the provided presets (optional)',
        required: false,
    }),
    reset: command_1.flags.boolean({
        char: 'r',
        description: 'It resets the configuration generating a new one',
        default: ConfigService_1.ConfigService.defaultParams.reset,
    }),
};
