"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NemgenService = void 0;
const LoggerFactory_1 = require("../logger/LoggerFactory");
const LogType_1 = require("../logger/LogType");
// eslint-disable-next-line @typescript-eslint/no-var-requires
const util = require("util");
const Docker = require("dockerode");
// eslint-disable-next-line @typescript-eslint/no-var-requires
// eslint-disable-next-line @typescript-eslint/no-var-requires
const exec = util.promisify(require('child_process').exec);
// eslint-disable-next-line @typescript-eslint/no-var-requires
const fs = require('fs');
const logger = LoggerFactory_1.default.getLogger(LogType_1.LogType.System);
class NemgenService {
    constructor(params) {
        this.params = params;
    }
    async run(networkIdentifier) {
        const nemesisSeedFolder = `${this.params.target}/data/nemesis-data/seed/${networkIdentifier}/0000`;
        await fs.promises.mkdir(nemesisSeedFolder, { recursive: true });
        await fs.promises.copyFile(`${this.params.root}/config/hashes.dat`, `${nemesisSeedFolder}/hashes.dat`);
        const docker = new Docker({ socketPath: '/var/run/docker.sock' });
        const cmd = [
            'bash',
            '-c',
            'cd /data && /usr/catapult/bin/catapult.tools.nemgen  -r /userconfig --nemesisProperties /nemesis/block-properties-file.properties',
        ];
        const dir = `${process.cwd()}/${this.params.target}`;
        const binds = [
            `${dir}/config/generated-addresses:/addresses`,
            `${dir}/config/peer-node-0:/userconfig`,
            `${dir}/config/nemesis:/nemesis`,
            `${dir}/data/nemesis-data:/data:rw`,
            `${dir}/state:/state`,
        ];
        const createOptions = { HostConfig: { Binds: binds } };
        const startOptions = {};
        await docker.run('symbolplatform/symbol-server:tools-gcc-0.9.6.4', cmd, process.stdout, createOptions, startOptions);
        logger.info('nemgen executed');
    }
}
exports.NemgenService = NemgenService;
